This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 56364 - [glibc] Australian timezone printing
[glibc] Australian timezone printing
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
7.2
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-16 00:52 EST by Jens Petersen
Modified: 2007-03-26 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-16 01:40:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2001-11-16 00:52:51 EST
Description of Problem:
There is (currently) Summer time in NSW, but not in most of Eastern
Australia. "date" display the times correctly, but both in EST.

Version-Release number of selected component (if applicable):
glibc-2.2.4-5

How Reproducible:
always

Steps to Reproduce:
% TZ=Australia/Brisbane date
Fri Nov 16 13:18:11 EST 2001
% TZ=Australia/Sydney date  
Fri Nov 16 14:18:26 EST 2001

Actual Results:
As above

Expected Results:
EST should not be used for both +1000 and +1100.
In this case it seems better to use numeric versions for consistency, if no
appropriate symbols exist?

Additional Information:

Also EST clashes with the US EST.  AEST would be better for the rest of the
world, but anyway.
Comment 1 Jens Petersen 2001-11-16 01:08:08 EST
According to
http://www.dstc.qut.edu.au/DST/marg/daylight-other.html#zones
the correct abbreviations are AEST, AEDT, etc.
Comment 2 Jens Petersen 2001-11-16 01:40:07 EST
According to "tzdata2001d/australasia" AEST,etc seem to be acceptable though EST
is widely used.  But for eliminating ambiguity I feel this change such be made.
Comment 3 Jakub Jelinek 2001-11-21 08:21:07 EST
Ulrich doesn't want to make any changes to zonedata, so if you want this change,
vote for it so that it makes into tzdata2001e or whatever.

Note You need to log in before you can comment on or make changes to this bug.